#
# spec file for package liblazy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           liblazy
Version:        0.2
Release:        1.31
Summary:        Liblazy - D-Bus methods provided for convenience
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://freedesktop.org/wiki/Software/liblazy/

#Git-Clone:	git://anongit.freedesktop.org/git/liblazy
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dbus-1-devel
BuildRequires:  pkg-config

%description
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege.

%package -n liblazy1
Summary:        Liblazy - D-Bus methods provided for convenience
Group:          System/Libraries

%description -n liblazy1
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege.

%package devel
Summary:        Liblazy - D-Bus methods provided for convenience
Group:          Development/Libraries/C and C++
Requires:       liblazy1 = %{version}-%{release} dbus-1-devel

%description devel
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege.

%prep
%setup

%build
%configure --disable-static 
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/usr/lib*/liblazy.la

%post -n liblazy1 -p /sbin/ldconfig

%postun -n liblazy1 -p /sbin/ldconfig

%files -n liblazy1
%defattr(-,root,root)
%doc COPYING
%_libdir/liblazy.so.*

%files devel
%defattr(-,root,root)
%_includedir/liblazy.h
%_libdir/pkgconfig/*.pc
%_libdir/liblazy.so

%changelog
* Wed Mar  4 2015 dimstar@opensuse.org
- Install COPYING as part of the lib package.
* Mon Mar  2 2015 dimstar@opensuse.org
- Rename package to liblazy: the package name must not be following
  the shared library packaging policy naming convention.
- Create a proper SLPP package, splitting liblazy1 out (thus
  keeping the same name for the 'actual' package). As a side-effect
  this now renames liblazy1-devel back to liblazy-devel (which was
  an error in a previous 'cleanup').
* Wed Oct  8 2014 jengelh@inai.de
- Remove ancient specfile tags and sections.
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Fri Dec 18 2009 jengelh@medozas.de
- add baselibs.conf as a source
- enable parallel build
* Sun May 11 2008 coolo@suse.de
- fix rename of xxbit packages
* Wed May  7 2008 coolo@suse.de
- 10.3 had 0.2
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Nov 22 2007 hmacht@suse.de
- add Provides: and Obsoletes: due to package rename to liblazy1
- use %%configure
- no longer use %%run_ldconfig
* Tue Nov 20 2007 hmacht@suse.de
- rename package to liblazy1 due to packaging policy
- update to version 0.2 due to gcc 4.3 consistency
* Thu Aug 16 2007 hmacht@suse.de
- fix PolicyKit related API
* Wed Aug 15 2007 hmacht@suse.de
- update to v0.2 due to PolicyKit update (novell bug 299733):
  - use new PolicyKit API >= 0.4
  - fix bug that liblazy_hal_query_capability doesn't always
    return 'false'
  - add function to use private D-Bus connection so that apps
    survive a D-Bus restart
* Fri Nov 17 2006 hmacht@suse.de
- add more error handling (novell bug 220912)
* Thu Oct 26 2006 hmacht@suse.de
- fix function to query privilege by uid
- add function to query privilege of the _current_ user
* Wed Oct  4 2006 hmacht@suse.de
- link against libdbus-1.so
* Mon Oct  2 2006 hmacht@suse.de
- set given strlist pointer to NULL if call to getting string list
  property from HAL fails
- replace GPL COPYING file with LGPL COPYING file
* Wed Sep 27 2006 hmacht@suse.de
- initial checkin
